Bug 914876 (CVE-2013-0328)

Summary: CVE-2013-0328 jenkins: XSS
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bleanhar, ccoleman, dmcphers, jialiu, lmeyer, mmcallis, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130217,reported=20130217,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,openshift-1/jenkins=affected,openshift-enterprise-1/jenkins=affected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-05 11:47:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 914881, 914882    
Bug Blocks: 914880, 1054033    

Description Kurt Seifried 2013-02-23 01:25:59 EST
Jenkins Security Advisory 2013-02-16

Another vulnerability enables cross-site scripting (XSS) attacks.

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2013-02-16
Comment 3 errata-xmlrpc 2013-03-12 13:59:57 EDT
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0638 https://rhn.redhat.com/errata/RHSA-2013-0638.html
Comment 4 Murray McAllister 2014-01-19 18:33:23 EST
Upstream commit is:

https://github.com/jenkinsci/jenkins/commit/f8d2a0ba6c2e261f48287bdd95bd7a2d7a8d2d0e
Comment 5 Ratul Gupta 2014-01-21 00:59:21 EST
*** Bug 1054557 has been marked as a duplicate of this bug. ***